<ui:fragment xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://xmlns.jcp.org/jsf/html"
             xmlns:ui="http://xmlns.jcp.org/jsf/facelets"

             template="/layout/template.xhtml">

    <div>
        <h:panelGroup>
            <h:outputText class="alert-warning h3 gzl-ml-1rem gzl-mb-2rem" value="Pas de token actif"/>
        </h:panelGroup>
        <hr/>
    </div>
    <br/>
    <div>
        <h:panelGroup rendered="#{getPrincipal.loggedIn}">
            <b:column>
                <b:form>
                    <b:message for="activeToken" styleClass="errorBlock"/>
                    <h:outputText class="h4" value="Générer un nouveau token"/>
                    <br/>
                    <b:commandButton action="#{tokenBean.createToken()}" value="Créer un token"
                                     styleClass="btn btn-success btn-md gzl-mt-3rem gzl-mb-1rem" show-detail="true"
                                     show-summary="false"
                                     allowDismiss="true" oncomplete="function () { location.reload(); }"
                                     actionListener="#{growlBean.resultCreateToken()}" update="growl"/>
                </b:form>
            </b:column>
        </h:panelGroup>
    </div>
</ui:fragment>